Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.transport
Class OutboundMessageRegistry

    java.lang.Object
      net.i2p.router.transport.OutboundMessageRegistry

    public class OutboundMessageRegistry

extends Object

Constructor Summary
`OutboundMessageRegistry(RouterContext context)`

Method Summary
`List` | `getOriginalMessages(I2NPMessage message)` Retrieve all messages that are waiting for the specified message.
`OutNetMessage` | `registerPending(MessageSelector replySelector, ReplyJob onReply, Job onTimeout, int timeoutMs)`
`void` | `registerPending(OutNetMessage msg)`
`void` | `registerPending(OutNetMessage msg, boolean allowEmpty)`
`void` | `renderStatusHTML(Writer out)`
`void` | `shutdown()`
`void` | `unregisterPending(OutNetMessage msg)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OutboundMessageRegistry

    public OutboundMessageRegistry(RouterContext context)

Method Detail

### shutdown

    public void shutdown()

### getOriginalMessages

    public List getOriginalMessages(I2NPMessage message)

  Retrieve all messages that are waiting for the specified message. In addition, those matches may include instructions to either continue or not continue waiting for further replies - if it should continue, the matched message remains in the registry, but if it shouldn't continue, the matched message is removed from the registry.

  Parameters:
    `message` - Payload received that may be a reply to something we sent
  Returns:
    List of OutNetMessage describing messages that were waiting for the payload

### registerPending

    public OutNetMessage registerPending(MessageSelector replySelector,
                                         ReplyJob onReply,
                                         Job onTimeout,
                                         int timeoutMs)

### registerPending

    public void registerPending(OutNetMessage msg)

### registerPending

    public void registerPending(OutNetMessage msg,
                                boolean allowEmpty)

### unregisterPending

    public void unregisterPending(OutNetMessage msg)

### renderStatusHTML

    public void renderStatusHTML(Writer out)
                          throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD